Having trouble in installing Liebling

Hey guys, I tried to install Liebling but it mentions

“Liebling failed to install.
Supplied GitHub theme does not exist or is inaccessible”

  • My version of Ghost: Version 4.3.3
  • I’ve tried both Safari and Chrome and both fail to install

Thanks a lot!!